org.firebirdsql.jdbc

## Class FBConnection.GeneratedKeysQuery

- java.lang.Object
- - org.firebirdsql.jdbc.AbstractGeneratedKeysQuery
  - - org.firebirdsql.jdbc.FBConnection.GeneratedKeysQuery

- Enclosing class:
    FBConnection

      protected class FBConnection.GeneratedKeysQuery
      extends AbstractGeneratedKeysQuery

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FBConnection.GeneratedKeysQuery(java.lang.String sql, int autoGeneratedKeys)`
    `protected` | `FBConnection.GeneratedKeysQuery(java.lang.String sql, int[] columnIndexes)`
    `protected` | `FBConnection.GeneratedKeysQuery(java.lang.String sql, java.lang.String[] columnNames)`

  - ### Method Summary

    - ### Methods inherited from class org.firebirdsql.jdbc.AbstractGeneratedKeysQuery

      `generatesKeys, getQueryString, isGeneratedKeysSupportLoaded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FBConnection.GeneratedKeysQuery

          protected FBConnection.GeneratedKeysQuery(java.lang.String sql,
                                         int autoGeneratedKeys)
                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### FBConnection.GeneratedKeysQuery

          protected FBConnection.GeneratedKeysQuery(java.lang.String sql,
                                         int[] columnIndexes)
                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### FBConnection.GeneratedKeysQuery

          protected FBConnection.GeneratedKeysQuery(java.lang.String sql,
                                         java.lang.String[] columnNames)
                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.